<?php

namespace Schaffen\Gef\Models;

use Illuminate\Database\Eloquent\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class ApontamentoVeiculoGastoItem.
 *
 * @package namespace Schaffen\Gef\Models;
 */
class ApontamentoVeiculoGastoItem extends Model implements Transformable
{
   use TransformableTrait;

   public $timestamps = false;
   protected $table = "frota.apontamento_veiculo_gasto_item";
   protected $primaryKey = "avgi_codigo";
   public static $prefix = 'avgi_';
   /**
    * The attributes that are mass assignable.
    *
    * @var array
    */
   protected $fillable = ["avgi_quantidade","avgi_valor_unitario","avgi_fk_avg_codigo","avgi_fk_prfr_codigo", "avgi_fk_obr_codigo"];

   public function produtofrota(){
      return $this->belongsTo(ProdutoFrota::class, 'avgi_fk_prfr_codigo');
   }

}
