<?php

namespace Schaffen\Gef\Presenters;

use Schaffen\Gef\Transformers\VeiculoShowTransformer;
use Schaffen\Gef\Transformers\VeiculoTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class VeiculoPresenter.
 *
 * @package namespace Schaffen\Gef\Presenters;
 */
class VeiculoShowPresenter extends FractalPresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer()
    {
        return new VeiculoShowTransformer();
    }
}
